Apache Tomcat 7.0.42

## org.apache.tomcat.util.bcel.classfile
Class ClassElementValue

    java.lang.Object
      org.apache.tomcat.util.bcel.classfile.ElementValue
          org.apache.tomcat.util.bcel.classfile.ClassElementValue

    public class ClassElementValue

extends ElementValue

Field Summary

Fields inherited from class org.apache.tomcat.util.bcel.classfile.ElementValue
`ANNOTATION, ARRAY, CLASS, cpool, ENUM_CONSTANT, PRIMITIVE_BOOLEAN, PRIMITIVE_BYTE, PRIMITIVE_CHAR, PRIMITIVE_DOUBLE, PRIMITIVE_FLOAT, PRIMITIVE_INT, PRIMITIVE_LONG, PRIMITIVE_SHORT, STRING, type`

Constructor Summary
`ClassElementValue(int type, int idx, ConstantPool cpool)`

Method Summary
`void` `dump(DataOutputStream dos)`
`String` `stringifyValue()`

Methods inherited from class org.apache.tomcat.util.bcel.classfile.ElementValue
`readElementValue, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ClassElementValue

    public ClassElementValue(int type,
                             int idx,
                             ConstantPool cpool)

Method Detail

### stringifyValue

    public String stringifyValue()

  Specified by:
    `stringifyValue` in class `ElementValue`

### dump

    public void dump(DataOutputStream dos)
              throws IOException

  Specified by:
    `dump` in class `ElementValue`
  Throws:
    `IOException`

Apache Tomcat 7.0.42

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.